"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Globals {
    static cliLog(prefix, message) {
        Globals.serverless.cli.log(`${prefix} ${message}`, Globals.pluginName);
    }
    /**
     * Logs error message
     */
    static logError(message) {
        if (Globals.v3Utils) {
            Globals.v3Utils.log.error(message);
        }
        else {
            Globals.cliLog("[Error]", message);
        }
    }
    /**
     * Logs info message
     */
    static logInfo(message) {
        if (Globals.v3Utils) {
            Globals.v3Utils.log.verbose(message);
        }
        else {
            Globals.cliLog("[Info]", message);
        }
    }
    /**
     * Logs warning message
     */
    static logWarning(message) {
        if (Globals.v3Utils) {
            Globals.v3Utils.log.warning(message);
        }
        else {
            Globals.cliLog("[WARNING]", message);
        }
    }
}
exports.default = Globals;
Globals.pluginName = "Serverless VPC Discovery";
